Subject: Re: [PATCH 5/6] [POWERPC] properly declare onstack completion in iseries veth

From: Christoph Hellwig <[email-masked]>
Date: Wed, 9 Apr 2008 10:36:16 +0200

On Wed, Apr 09, 2008 at 05:21:34PM +1000, Benjamin Herrenschmidt wrote:
> The iSeries veth driver uses an on-stack struct completion that
> it initializes using the COMPLETION_INITIALIZER instead of
> COMPLETION_INITIALIZER_ONSTACK macro, causing problems with
> lockdep.

should probably go in ASAP independent of the lockdep series.